Shortcut
AutoSeqStreamFormat
A TagSelector for SeqStreamFormats, the list of the currently implemented Sequence-Formats (in RecordReader/Stream-IO)
AutoSeqStreamFormat
Include Headers
seqan/stream.h
Remarks
This shortcut is a typedef of TagSelector<TagList<Fastq, TagList<Fasta > > >.
Variables of this type an be passed to guessStreamFormat and will offer the index of the detected FileFormat in its member tagId. The values of its member tagId can be as follows:

value | meaning
0 | Unknown file format.
1 | FASTA
2 | FASTQ

Shortcut for
TagSelector, TagList
Functions

getAutoSeqStreamFormatName | Returns

See Also
SeqStreamFormats, getAutoSeqStreamFormatName, guessStreamFormat
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59